"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_1 = __importDefault(require("react"));
var hooks_1 = require("@steroidsjs/core/hooks");
var Modal_1 = __importDefault(require("@steroidsjs/core/ui/modal/Modal"));
var form_1 = require("@steroidsjs/core/ui/form");
var typography_1 = require("@steroidsjs/core/ui/typography");
function CalendarSystemEventGroupModalView(props) {
    var bem = (0, hooks_1.useBem)('CalendarSystemEventGroupModalView');
    return (react_1["default"].createElement(Modal_1["default"], { title: props.isCreate ? __('Новая группа') : __('Редактирование группы'), onClose: props.onClose, className: bem.block(), shouldCloseOnEsc: true, shouldCloseOnOverlayClick: true },
        react_1["default"].createElement(form_1.Form, { className: bem.element('form'), onSubmit: function (fields) {
                props.onEventGroupSubmit(fields);
                props.onClose();
            }, submitLabel: props.isCreate ? __('Создать') : __('Сохранить'), initialValues: props.eventGroupInitialValues },
            react_1["default"].createElement("div", null,
                react_1["default"].createElement(typography_1.Text, { className: bem.element('label'), content: __('Имя') }),
                react_1["default"].createElement(form_1.InputField, { attribute: 'label', required: true, className: bem.element('name-field') })),
            react_1["default"].createElement("div", null,
                react_1["default"].createElement(typography_1.Text, { className: bem.element('label'), content: __('Выбор цвета') }),
                react_1["default"].createElement(form_1.InputField, { type: 'color', required: true, attribute: 'color' })))));
}
exports["default"] = CalendarSystemEventGroupModalView;
